import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";
import { getTypeByORM, getDefaultByORM } from "./ormHelper";

export class AddDateToNewsletter1748509435932 implements MigrationInterface {
  name = "AddDateToNewsletter1748509435932";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "newsletter",
      new TableColumn({
        name: "createdAt",
        ...getTypeByORM("datetime", false, 6),
        default: getDefaultByORM("currentTimestamp", 6),
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("newsletter", "createdAt");
  }
}
