import { MigrationInterface, QueryRunner } from "typeorm";
import { DB_TYPE } from "../env.defaults";
import {
  membership_total_view_mysql,
  membership_total_view_postgres,
  membership_total_view_sqlite,
} from "./baseSchemaTables/member";

export class AddMembershipTotalView1748607842929 implements MigrationInterface {
  name = "AddMembershipTotalView1748607842929";

  public async up(queryRunner: QueryRunner): Promise<void> {
    if (DB_TYPE == "postgres") await queryRunner.createView(membership_total_view_postgres, true);
    else if (DB_TYPE == "mysql") await queryRunner.createView(membership_total_view_mysql, true);
    else if (DB_TYPE == "sqlite") await queryRunner.createView(membership_total_view_sqlite, true);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropView("membership_total_view");
  }
}
